#!/bin/bash -ex

# exit on errors
set -eu -o pipefail

ONOS_ROOT=`pwd`
. tools/build/envDefaults

curl -L -o bazel.sh https://github.com/bazelbuild/bazel/releases/download/0.15.2/bazel-0.15.2-installer-linux-x86_64.sh
chmod +x bazel.sh 
./bazel.sh --user
PATH=$PATH:/home/jenkins/bin

bazel build onos
bazel query "tests(//...)" | SHLVL=1 xargs bazel test
bazel run //:buildifier_check
